Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Problem installing Cisco VPN Client 4.7.00 on Linux

Hi there.

I'm running Ubuntu "Dapper Drake" 6.06 Beta 2 and I'm unable to install the 4.7 version of the client :-(

I'm using GCC 3.4 as a compiler, not 4.0.

Here is the output from the install:

jjs@itchy:~/cisco_vpn/vpnclient$ ./vpn_install

Sorry, you need super user access to run this script.

jjs@itchy:~/cisco_vpn/vpnclient$ sudo ./vpn_install

Cisco Systems VPN Client Version 4.7.00 (0640) Linux Installer

Copyright (C) 1998-2005 Cisco Systems, Inc. All Rights Reserved.

By installing this product you agree that you have read the

license.txt file (The VPN Client license) and will comply with

its terms.

Directory where binaries will be installed [/usr/local/bin]

Automatically start the VPN service at boot time [yes]

In order to build the VPN kernel module, you must have the

kernel headers for the version of the kernel you are running.

Directory containing linux kernel source code [/lib/modules/2.6.15-21-686/build]

* Binaries will be installed in "/usr/local/bin".

* Modules will be installed in "/lib/modules/2.6.15-21-686/CiscoVPN".

* The VPN service will be started AUTOMATICALLY at boot time.

* Kernel source from "/lib/modules/2.6.15-21-686/build" will be used to build the module.

Is the above correct [y]

Making module

make -C /lib/modules/2.6.15-21-686/build SUBDIRS=/home/jjs/cisco_vpn/vpnclient modules

make[1]: Entering directory `/usr/src/linux-headers-2.6.15-21-686'

CC [M] /home/jjs/cisco_vpn/vpnclient/linuxcniapi.o

/home/jjs/cisco_vpn/vpnclient/linuxcniapi.c: In function `CniInjectReceive':

/home/jjs/cisco_vpn/vpnclient/linuxcniapi.c:292: error: structure has no member named `stamp'

/home/jjs/cisco_vpn/vpnclient/linuxcniapi.c: In function `CniInjectSend':

/home/jjs/cisco_vpn/vpnclient/linuxcniapi.c:432: error: structure has no member named `stamp'

make[2]: *** [/home/jjs/cisco_vpn/vpnclient/linuxcniapi.o] Error 1

make[1]: *** [_module_/home/jjs/cisco_vpn/vpnclient] Error 2

make[1]: Leaving directory `/usr/src/linux-headers-2.6.15-21-686'

make: *** [default] Error 2

Failed to make module "cisco_ipsec.ko".

jjs@itchy:~/cisco_vpn/vpnclient$

And here's my gcc version info:

jjs@itchy:~$ gcc -v

Reading specs from /usr/lib/gcc/i486-linux-gnu/3.4.6/specs

Configured with: ../src/configure -v --enable-languages=c,c++,f77,pascal --prefix=/usr --libexecdir=/usr/lib --with-gxx-include-dir=/usr/include/c++/3.4 --enable-shared --with-system-zlib --enable-nls --without-included-gettext --program-suffix=-3.4 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --with-tune=pentium4 i486-linux-gnu

Thread model: posix

gcc version 3.4.6 (Ubuntu 3.4.6-1ubuntu2)

Anyone help will be very welcome!

4 REPLIES

Re: Problem installing Cisco VPN Client 4.7.00 on Linux

Hi,

infact even i tried with ubuntu, it didn't work out, but when i tried in Redhat Linux it works perfectly. i think cisco vpn client is specially designed to run on redhat linux.same case when i tried installing the cisco vpn client in POWER MAC, it works fine, but not on INTEL MAC.

New Member

Re: Problem installing Cisco VPN Client 4.7.00 on Linux

Firstly, Dapper compiles its kernels with GCC 4, so that's what you need to use. Also, you need to apply a patch, which I'll upload. I found it on the Web somewhere, so use at your own risk; it works for me. To apply it, issue while in the vpnclient directory:

patch < vpnclient-4.7-patch

New Member

Re: Problem installing Cisco VPN Client 4.7.00 on Linux

OK, I see I need to upload the patch while editing my reply, so here it is.

New Member

Re: Problem installing Cisco VPN Client 4.7.00 on Linux

In case anyone needs this after the attachment expires in June 2007, the original is at http://www.redhat.com/archives/rhl-list/2005-November/msg02667.html

405
Views
0
Helpful
4
Replies
CreatePlease to create content